com.lowagie.text.rtf.document

## Class RtfGenerator

- java.lang.Object
- - com.lowagie.text.rtf.RtfElement
  - - com.lowagie.text.rtf.document.RtfGenerator

- All Implemented Interfaces:
    RtfBasicElement, RtfElementInterface

      public class RtfGenerator
      extends RtfElement

  The RtfGenerator creates the (\*\generator ...} element.
  Since:
    2.0.8
  Version:
    $Id$
  Author:
    Howard Shank (hgshank@yahoo.com)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static byte[]` | `GENERATOR` Generator group starting tag

    - ### Fields inherited from class com.lowagie.text.rtf.RtfElement

      `document, inHeader, inTable`

    - ### Fields inherited from interface com.lowagie.text.rtf.RtfBasicElement

      `CLOSE_GROUP, COMMA_DELIMITER, DELIMITER, OPEN_GROUP, TWIPS_FACTOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RtfGenerator(RtfDocument doc)` Constructs a `RtfGenerator` belonging to a RtfDocument

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `writeContent(java.io.OutputStream result)` Writes the RTF generator group.

    - ### Methods inherited from class com.lowagie.text.rtf.RtfElement

      `intToByteArray, isInTable, setInHeader, setInTable, setRtfDocument`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### GENERATOR

          private static final byte[] GENERATOR

      Generator group starting tag

  - ### Constructor Detail

    - #### RtfGenerator

          public RtfGenerator(RtfDocument doc)

      Constructs a `RtfGenerator` belonging to a RtfDocument
      Parameters:
        `doc` - The `RtfDocument` this `RtfGenerator` belongs to

  - ### Method Detail

    - #### writeContent

          public void writeContent(java.io.OutputStream result)
                            throws java.io.IOException

      Writes the RTF generator group.
      Specified by:
        `writeContent` in interface `RtfBasicElement`
      Specified by:
        `writeContent` in class `RtfElement`
      Parameters:
        `result` - The `OutputStream` to write the content to
      Throws:
        `java.io.IOException`